package com.ruoyi.interfaces.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.interfaces.mapper.MdDataSetParamMapper;
import com.ruoyi.interfaces.domain.MdDataSetParam;
import com.ruoyi.interfaces.service.IMdDataSetParamService;

/**
 * 数据集参数Service业务层处理
 * 
 * @author 朱得糠
 * @date 2025-09-03
 */
@Service
public class MdDataSetParamServiceImpl implements IMdDataSetParamService 
{
    @Autowired
    private MdDataSetParamMapper mdDataSetParamMapper;

    /**
     * 查询数据集参数
     * 
     * @param dcCode 数据集参数主键
     * @return 数据集参数
     */
    @Override
    public MdDataSetParam selectMdDataSetParamByDcCode(String dcCode)
    {
        return mdDataSetParamMapper.selectMdDataSetParamByDcCode(dcCode);
    }

    /**
     * 查询数据集参数列表
     * 
     * @param mdDataSetParam 数据集参数
     * @return 数据集参数
     */
    @Override
    public List<MdDataSetParam> selectMdDataSetParamList(MdDataSetParam mdDataSetParam)
    {
        return mdDataSetParamMapper.selectMdDataSetParamList(mdDataSetParam);
    }

    /**
     * 新增数据集参数
     * 
     * @param mdDataSetParam 数据集参数
     * @return 结果
     */
    @Override
    public int insertMdDataSetParam(MdDataSetParam mdDataSetParam)
    {
        return mdDataSetParamMapper.insertMdDataSetParam(mdDataSetParam);
    }

    /**
     * 修改数据集参数
     * 
     * @param mdDataSetParam 数据集参数
     * @return 结果
     */
    @Override
    public int updateMdDataSetParam(MdDataSetParam mdDataSetParam)
    {
        return mdDataSetParamMapper.updateMdDataSetParam(mdDataSetParam);
    }

    /**
     * 批量删除数据集参数
     * 
     * @param dcCodes 需要删除的数据集参数主键
     * @return 结果
     */
    @Override
    public int deleteMdDataSetParamByDcCodes(String[] dcCodes)
    {
        return mdDataSetParamMapper.deleteMdDataSetParamByDcCodes(dcCodes);
    }

    /**
     * 删除数据集参数信息
     * 
     * @param dcCode 数据集参数主键
     * @return 结果
     */
    @Override
    public int deleteMdDataSetParamByDcCode(String dcCode)
    {
        return mdDataSetParamMapper.deleteMdDataSetParamByDcCode(dcCode);
    }
}
